/*
*   AtmosSharedData -- Interface that defines shared data objects used by many atmosphere param methods.
*   
*   Copyright (C) 1998 - 2011 by Joseph A. Huwaldt
*   All rights reserved.
*   
*   This library is free software; you can redistribute it and/or
*   modify it under the terms of the GNU Lesser General Public
*   License as published by the Free Software Foundation; either
*   version 2.1 of the License, or (at your option) any later version.
*   
*   This library is distributed in the hope that it will be useful,
*   but WITHOUT ANY WARRANTY; without even the implied warranty of
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
*   Library General Public License for more details.
*
*  You should have received a copy of the GNU Lesser General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*  Or visit:  http://www.gnu.org/licenses/lgpl.html
**/
package jahuwaldt.js.pmethods.stdatmos;


import jahuwaldt.js.aero.*;


/**
*  <p> An interface that defines data objects that are shared
*      among several analysis methods.  This works sort of
*      like "global" constants in a C program.  </p>
*
*  <p> Modified by:  Joseph A. Huwaldt   </p>
*
*  @author     Joseph A. Huwaldt   Date:  September 29, 1998
*  @version    July 24, 2011
**/
public interface AtmosSharedData {

	//	Our standard atmosphere model.
	static final StdAtmos1976 atmosModel = StdAtmos1976.newInstance();
	
	// Specific heat ratio for air.
	static final double GAMMA = 1.4;
	
}
